WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Attachments] Deprecated Issue

[Plugin: Attachments] Deprecated Issue

  • I get all these Notices when trying to save attachment settings for post type. It says that it is deprecated since version 2.7. I am on 3.2.1. Anyone else have this issue?

    Notice: options.php was called with an argument that is deprecated since version 2.7! The attachments_store_native setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Notice: options.php was called with an argument that is deprecated since version 2.7! The attachments_cpt_property setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Notice: options.php was called with an argument that is deprecated since version 2.7! The attachments_cpt_bio setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Notice: options.php was called with an argument that is deprecated since version 2.7! The attachments_cpt_post setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Notice: options.php was called with an argument that is deprecated since version 2.7! The attachments_cpt_page setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Notice: options.php was called with an argument that is deprecated since version 2.7! The setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /Applications/MAMP/htdocs/wp/wp-includes/functions.php on line 3466

    Warning: Cannot modify header information – headers already sent by (output started at /Applications/MAMP/htdocs/wp/wp-includes/functions.php:3466) in /Applications/MAMP/htdocs/wp/wp-includes/pluggable.php on line 934

    http://wordpress.org/extend/plugins/attachments/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Jonathan Christopher

    @jchristopher

    I’m currently rewriting the options screen for Attachments to use the new Options API offered by WordPress. I’d expect to see it within the next few weeks. For the time being I would suggest suppressing the warnings by ensuring WP_DEBUG is off and error_reporting() is minimized in your production environment.

    Thanks jchristopher,
    Ya I just turned off the debug. look forward to it…it’s a great plugin.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: Attachments] Deprecated Issue’ is closed to new replies.